Halide 22.0.0 Halide compiler and libraries

Loading...
Searching...
No Matches
Public Member Functions | Static Public Member Functions | List of all members
Halide::Internal::StubInputBuffer< T, Dims > Class Template Reference

StubInputBuffer is the placeholder that a Stub uses when it requires a Buffer for an input (rather than merely a Func or Expr). More...

`#include <Generator.h>`

## Public Member Functions
| StubInputBuffer ()=default
template<typename T2 , int D2>
| StubInputBuffer (const Buffer< T2, D2 > &b)

## Static Public Member Functions
template<typename T2 >
static std::vector< Parameter > | to_parameter_vector (const StubInputBuffer< T2 > &t)
template<typename T2 >
static std::vector< Parameter > | to_parameter_vector (const std::vector< StubInputBuffer< T2 > > &v)

## Detailed Description

template<typename T = void, int Dims = Buffer<>::AnyDims>
class Halide::Internal::StubInputBuffer< T, Dims >

StubInputBuffer is the placeholder that a Stub uses when it requires a Buffer for an input (rather than merely a Func or Expr).

It is constructed to allow only two possible sorts of input: – Assignment of an Input<Buffer<>>, with compatible type and dimensions, essentially allowing us to pipe a parameter from an enclosing Generator to an internal Stub. – Assignment of a Buffer<>, with compatible type and dimensions, causing the Input<Buffer<>> to become a precompiled buffer in the generated code.

Definition at line 1265 of file Generator.h.

## Constructor & Destructor Documentation

## ◆ StubInputBuffer() [1/2]

template<typename T = void, int Dims = Buffer<>::AnyDims>

Halide::Internal::StubInputBuffer< T, Dims >::StubInputBuffer | ( |  | ) |
| default

## ◆ StubInputBuffer() [2/2]

template<typename T = void, int Dims = Buffer<>::AnyDims>
template<typename T2 , int D2>

Halide::Internal::StubInputBuffer< T, Dims >::StubInputBuffer | ( | const Buffer< T2, D2 > & | b | ) |
| inline

Definition at line 1300 of file Generator.h.

## Member Function Documentation

## ◆ to_parameter_vector() [1/2]

template<typename T = void, int Dims = Buffer<>::AnyDims>
template<typename T2 >

static std::vector< Parameter > Halide::Internal::StubInputBuffer< T, Dims >::to_parameter_vector | ( | const StubInputBuffer< T2 > & | t | ) |
| inline static

Definition at line 1305 of file Generator.h.

## ◆ to_parameter_vector() [2/2]

template<typename T = void, int Dims = Buffer<>::AnyDims>
template<typename T2 >

static std::vector< Parameter > Halide::Internal::StubInputBuffer< T, Dims >::to_parameter_vector | ( | const std::vector< StubInputBuffer< T2 > > & | v | ) |
| inline static

Definition at line 1310 of file Generator.h.

References Halide::cast().

The documentation for this class was generated from the following file:

- src/Generator.h